Subject: Re: [PATCH 4/10] Add current branch in PS1 support to git-completion.bash.

From: Shawn Pearce <[email-masked]>
Date: Mon, 27 Nov 2006 12:31:36 -0500

Sean <[email-masked]> wrote:
> On Mon, 27 Nov 2006 11:51:23 -0500
> Shawn Pearce <[email-masked]> wrote:
> 
> > I actually started with the name __git_current_branch but changed
> > my mind on that and went with __git_ps1.
> > 
> > My rationale at the time was probably not correct (it was early this
> > morning) but I figured that the current branch name is "master"
> > while __git_ps1 prints " (master)".  Therefore __git_ps1 is not
> > really printing the current branch, its printing the current branch
> > and other stuff.  So I went with a name which implied its purpose.
> 
> Ahh, I had missed that, it makes some sense.  Although it goes a bit
> against the commit message that the user is free to construct whatever
> PS1 format they like (ie. they're stuck with parenthesis around the
> branch name).
> 
> Just thinking out loud, what about allowing __git_ps1 to take a
> format string of its own?  It could parse options like  "(\b)"
> to mean git branch surrounded by parenthesis.  But you could
> also do "[\b]" or "!\b" if you preferred.

I did that.  :-)

If you read the implementation of __git_ps1 the default format is
" (%s)" but you can pass anything you want as the first parameter.
 
--